Package org.jdesktop.application

# Class FrameView

java.lang.Object
org.jdesktop.application.AbstractBean
org.jdesktop.application.View
org.jdesktop.application.FrameView

public class FrameView extends View

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAIN_FRAME_NAME`

## Constructor Summary

Constructors
Constructor
Description
`FrameView(Application application)`

## Method Summary

Modifier and Type
Method
Description
`JFrame`
`getFrame()`
Return the JFrame used to show this View
`JRootPane`
`getRootPane()`
Gets the `JRootPane` for this View.
`void`
`setFrame(JFrame frame)`
Sets the JFrame use to show this View

### Methods inherited from class org.jdesktop.application.View

`getApplication, getComponent, getContext, getMenuBar, getResourceMap, getStatusBar, getToolBar, getToolBars, setComponent, setMenuBar, setStatusBar, setToolBar, setToolBars`

### Methods inherited from class org.jdesktop.application.AbstractBean

`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAIN_FRAME_NAME

public static final String MAIN_FRAME_NAME

See Also:
  - Constant Field Values

## Constructor Details

### FrameView

public FrameView(Application application)

## Method Details

### getFrame

public JFrame getFrame()
Return the JFrame used to show this View

This method may be called at any time; the JFrame is created lazily and cached. For example:

      @Override protected void startup() {
         getFrame().setJMenuBar(createMenuBar());
         show(createMainPanel());
     }

Returns:
  this application's main frame

### setFrame

public void setFrame(JFrame frame)
Sets the JFrame use to show this View

This method should be called from the startup method by a subclass that wants to construct and initialize the main frame itself. Most applications can rely on the fact that {code getFrame} lazily constructs the main frame and initializes the `frame` property.

If the main frame property was already initialized, either implicitly through a call to `getFrame` or by explicitly calling this method, an IllegalStateException is thrown. If `frame` is null, an IllegalArgumentException is thrown.

This property is bound.

Parameters:
  `frame` - the new value of the frame property
See Also:
  - `getFrame()`

### getRootPane

public JRootPane getRootPane()
Description copied from class: `View`
Gets the `JRootPane` for this View. All of the components for this View must be added to its rootPane. Most applications will do so by setting the View's `component`, `menuBar`, `toolBar`, and `statusBar` properties.

Overrides:
  `getRootPane` in class `View`
Returns:
  The `rootPane` for this View
See Also:
  - `View.setComponent(javax.swing.JComponent)`
  - `View.setMenuBar(javax.swing.JMenuBar)`
  - `View.setToolBar(javax.swing.JToolBar)`
  - `View.setStatusBar(javax.swing.JComponent)`